---
title: contain-intrinsic-size
slug: Web/CSS/contain-intrinsic-size
---
<p>{{CSSRef}}</p>

<p><span class="seoSummary">The <strong><code>contain-intrinsic-size</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property controls the natural size of an element specified by <a href="/en-US/docs/Web/CSS/content-visibility"><code>content-visibility</code></a>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; values */
contain-intrinsic-size: 1000px;
contain-intrinsic-size: 10rem;

/* &lt;percentage&gt; value */
contain-intrinsic-size: 10%;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Sizing', '#propdef-contain-intrinsic-size')}}</td>
   <td>{{Spec2('CSS4 Sizing')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.contain-intrinsic-size")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="https://web.dev/content-visibility/">content-visibility: the new CSS property that boosts your rendering performance</a> (web.dev)</li>
</ul>
